XpDestroyContext(3Xp)

NAME
XpDestroyContext - Gets the current print context-id for a display connection.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

void XpDestroyContext ( display, print_context )
      Display *display;
      XPContext print_context;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

print_context
    Specifies the print context to destroy.

DESCRIPTION

XpDestroyContext closes any outstanding associations between the print context and any display connections, and then destroys the print context. All display connections using the print context will no longer be able to access the print context. Destroying a print context will cause any in-progress pages, documents and jobs to be canceled within the X Print Server.

DIAGNOSTICS

XPBadContext
    A valid print context-id has not been set prior to making this call.